> For the complete documentation index, see [llms.txt](https://docs.indicio.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.indicio.tech/developer/indicio-proven-r/api-reference/verifications.md).

# Verifications

Endpoints for managing verifications

## Trigger an AnonCred verification flow

> This endpoint allows you to trigger an AnonCred verification flow.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Verifications","description":"Endpoints for managing verifications"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/verifications":{"post":{"summary":"Trigger an AnonCred verification flow","description":"This endpoint allows you to trigger an AnonCred verification flow.","tags":["Verifications"],"parameters":[{"in":"query","name":"timeout","required":false,"schema":{"type":"integer"},"description":"The timeout for the verification (seconds)."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"invitation_id":{"type":"integer","description":"The ID of the invitation.","nullable":true},"contact_id":{"type":"string","description":"The ID of the contact."},"schemas":{"type":"array","items":{"type":"object","properties":{"schema_attributes":{"type":"object","properties":{"domain":{"type":"object","properties":{"restrictions":{"type":"array","items":{"type":"object","properties":{"schema_id":{"type":"string","description":"The ID of the schema."}}}}}},"username":{"type":"object","properties":{"restrictions":{"type":"array","items":{"type":"object"}}}},"address":{"type":"object","properties":{"restrictions":{"type":"array","items":{"type":"object"}}}},"age":{"type":"object","properties":{"restrictions":{"type":"array","items":{"type":"object"}}}},"race":{"type":"object","properties":{}}}}}},"description":"The schemas for the verification."},"rule":{"type":"string","description":"The rule for the verification."}}}}}},"responses":{"200":{"description":"AnonCred verification flow triggered successfully","content":{"application/json":{"schema":{"type":"object","properties":{"verification_id":{"type":"integer","description":"The ID of the verification"},"connection_id":{"type":"string","nullable":true,"description":"The connection ID"},"contact_id":{"type":"string","description":"The contact ID"},"invitation_id":{"type":"integer","nullable":true,"description":"The invitation ID"},"schema_id":{"type":"string","nullable":true,"description":"The schema ID"},"schema_attributes":{"type":"object","description":"The schema attributes for verification"},"wallet_id":{"type":"string","description":"The wallet ID"},"rule":{"type":"string","description":"The verification rule"},"meta_data":{"type":"object","nullable":true,"description":"Additional metadata"},"state":{"type":"string","nullable":true,"description":"The verification state"},"complete":{"type":"boolean","description":"Whether verification is complete"},"result":{"type":"boolean","description":"The verification result"},"result_string":{"type":"string","description":"Human readable verification result"},"result_data":{"type":"array","nullable":true,"description":"The verification result data","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}}},"presentation_exchange_id":{"type":"array","description":"Presentation exchange IDs","items":{"type":"string"}},"error":{"type":"string","description":"Error message if any"},"created_at":{"type":"string","format":"date-time","description":"Creation timestamp"},"updated_at":{"type":"string","format":"date-time","description":"Update timestamp"}}}}}},"400":{"description":"Bad request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Retrieve an AnonCred verification record by ID

> This endpoint allows you to retrieve an AnonCred verification record by its ID.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Verifications","description":"Endpoints for managing verifications"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/verifications/{verification_id}":{"get":{"summary":"Retrieve an AnonCred verification record by ID","description":"This endpoint allows you to retrieve an AnonCred verification record by its ID.","tags":["Verifications"],"parameters":[{"in":"path","name":"verification_id","required":true,"schema":{"type":"string"},"description":"The ID of the verification."}],"responses":{"200":{"description":"AnonCred verification record was retrieved","content":{"application/json":{"schema":{"type":"object","properties":{"verification_id":{"type":"integer","description":"The ID of the verification"},"connection_id":{"type":"string","nullable":true,"description":"The connection ID"},"contact_id":{"type":"string","description":"The contact ID"},"invitation_id":{"type":"integer","nullable":true,"description":"The invitation ID"},"schema_id":{"type":"string","nullable":true,"description":"The schema ID"},"schema_attributes":{"type":"object","description":"The schema attributes for verification"},"wallet_id":{"type":"string","description":"The wallet ID"},"rule":{"type":"string","description":"The verification rule"},"meta_data":{"type":"object","nullable":true,"description":"Additional metadata"},"state":{"type":"string","nullable":true,"description":"The verification state"},"complete":{"type":"boolean","description":"Whether verification is complete"},"result":{"type":"boolean","description":"The verification result"},"result_string":{"type":"string","description":"Human readable verification result"},"result_data":{"type":"array","nullable":true,"description":"The verification result data","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}}},"presentation_exchange_id":{"type":"array","description":"Presentation exchange IDs","items":{"type":"string"}},"error":{"type":"string","description":"Error message if any"},"created_at":{"type":"string","format":"date-time","description":"Creation timestamp"},"updated_at":{"type":"string","format":"date-time","description":"Update timestamp"}}}}}},"400":{"description":"Bad request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Retrieve a JSON-LD verification

> This endpoint retrieves a JSON-LD verification by its ID using the provided API key.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Verifications","description":"Endpoints for managing verifications"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/verifications/json-ld/{verification_id}":{"get":{"summary":"Retrieve a JSON-LD verification","description":"This endpoint retrieves a JSON-LD verification by its ID using the provided API key.","tags":["Verifications"],"parameters":[{"in":"path","name":"verification_id","required":true,"schema":{"type":"string"},"description":"The ID of the verification."}],"responses":{"200":{"description":"JSON-LD verification record retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"verification_id":{"type":"integer","description":"The ID of the verification"},"connection_id":{"type":"string","nullable":true,"description":"The connection ID"},"contact_id":{"type":"string","description":"The contact ID"},"invitation_id":{"type":"integer","nullable":true,"description":"The invitation ID"},"schema_id":{"type":"string","nullable":true,"description":"The schema ID"},"schema_attributes":{"type":"object","description":"The schema attributes for verification"},"wallet_id":{"type":"string","description":"The wallet ID"},"rule":{"type":"string","description":"The verification rule"},"meta_data":{"type":"object","nullable":true,"description":"Additional metadata"},"state":{"type":"string","nullable":true,"description":"The verification state"},"complete":{"type":"boolean","description":"Whether verification is complete"},"result":{"type":"boolean","description":"The verification result"},"result_string":{"type":"string","description":"Human readable verification result"},"result_data":{"type":"array","nullable":true,"description":"The verification result data","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}}},"presentation_exchange_id":{"type":"array","description":"Presentation exchange IDs","items":{"type":"string"}},"error":{"type":"string","description":"Error message if any"},"created_at":{"type":"string","format":"date-time","description":"Creation timestamp"},"updated_at":{"type":"string","format":"date-time","description":"Update timestamp"}}}}}},"400":{"description":"Bad request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"404":{"description":"JSON-LD verification record not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```

## Trigger a JSON-LD verification flow

> This endpoint allows you to trigger a JSON-LD verification flow.

```json
{"openapi":"3.0.0","info":{"title":"Proven API","version":"1.0.0"},"tags":[{"name":"Verifications","description":"Endpoints for managing verifications"}],"servers":[{"url":"https://proven-4-2-test.proven.indicio.tech"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key"}}},"paths":{"/api/v1/verifications/json-ld":{"post":{"summary":"Trigger a JSON-LD verification flow","description":"This endpoint allows you to trigger a JSON-LD verification flow.","tags":["Verifications"],"parameters":[{"in":"query","name":"timeout","required":false,"schema":{"type":"integer"},"description":"The timeout for the verification (seconds)."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"invitation_id":{"type":"integer","description":"The ID of the invitation."},"contact_id":{"type":"string","description":"The ID of the contact."},"definitions":{"type":"array","items":{"type":"object","properties":{"context":{"type":"array","items":{"type":"string"},"description":"A list of context strings."},"attributes":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"object","additionalProperties":true}]},"description":"A list of attribute strings or objects with nested properties."},"label":{"type":"string","description":"The label for the definition."}}},"description":"The definitions for the verification."},"rule":{"type":"string","description":"The rule for the verification."}}}}}},"responses":{"200":{"description":"Verification was triggered","content":{"application/json":{"schema":{"type":"object","properties":{"verification_id":{"type":"integer","description":"The ID of the verification"},"connection_id":{"type":"string","nullable":true,"description":"The connection ID"},"contact_id":{"type":"string","description":"The contact ID"},"invitation_id":{"type":"integer","nullable":true,"description":"The invitation ID"},"schema_id":{"type":"string","nullable":true,"description":"The schema ID"},"schema_attributes":{"type":"object","description":"The schema attributes for verification"},"wallet_id":{"type":"string","description":"The wallet ID"},"rule":{"type":"string","description":"The verification rule"},"meta_data":{"type":"object","nullable":true,"description":"Additional metadata"},"state":{"type":"string","nullable":true,"description":"The verification state"},"complete":{"type":"boolean","description":"Whether verification is complete"},"result":{"type":"boolean","description":"The verification result"},"result_string":{"type":"string","description":"Human readable verification result"},"result_data":{"type":"array","nullable":true,"description":"The verification result data","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}}},"presentation_exchange_id":{"type":"array","description":"Presentation exchange IDs","items":{"type":"string"}},"error":{"type":"string","description":"Error message if any"},"created_at":{"type":"string","format":"date-time","description":"Creation timestamp"},"updated_at":{"type":"string","format":"date-time","description":"Update timestamp"}}}}}},"400":{"description":"Bad request.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"401":{"description":"Unauthorized."},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}}}}}
```
